module Contender
  # Simple implementation of an executor that executes blocks in the calling thread
  class DirectExecutor < Executor
    # @api public
    # @param [Object] task
    # @return [undefined]
    def execute(task = nil, &block)
      (task || block).call
    end
  end
end
